<?php

namespace NoccyLabs\Mercureact\Broker;

use ArrayIterator;
use Countable;
use IteratorAggregate;
use SplObjectStorage;
use Traversable;

class SubscriptionList implements Countable, IteratorAggregate
{

    private array $subscriptions = [];

    

    public function count(): int
    {
        return count($this->subscriptions);
    }

    public function getIterator(): Traversable
    {
        return new ArrayIterator($this->subscriptions);
    }
}

